import Setting from '@/setting';

let host = Setting.apiBaseURL
let uploadURL = 'http://112.74.110.92:8001'

export default {
  logins: `${host}/management/userInfo/login`, //登录 

  // 查询省份城市
  queryCity: `${host}/enterprise/city/queryCity`,
  queryProvince: `${host}/enterprise/province/queryProvince`,

  // 个人中心
  uploadUserAvatars: `${uploadURL}/oss/manage/fileupload`,
  userinfoUpdate:`${host}/management/userInfo/update`,//个人中心信息修改
  userinfo:`${host}/management/userInfo/getUserInfo`,//个人中心信息展示
  getAccount:`${host}/management/userInfo/getAccount`,//账号判重

  // 学生管理
  addStudent: `${host}/management/student/addStudent`,
  deleteStudents: `${host}/management/student/deleteStudents`,
  getStudent: `${host}/management/student/getStudent`,
  queryStudent: `${host}/management/student/list`,
  updateStudent: `${host}/management/student/updateStudent`, 

  // 组织架构
  addStaffPro: `${host}/management/staffProfessionalArchitecture/addStaffProfessionalArchitecture`,
  deleteStaffPro: `${host}/management/staffProfessionalArchitecture/deleteStaffProfessionalArchitecture`,
  queryStaffPAN: `${host}/management/staffProfessionalArchitecture/queryStaffPAN`,
  queryStaffPro: `${host}/management/staffProfessionalArchitecture/queryStaffProfessionalArchitecture`,
  updateStaffPro: `${host}/management/staffProfessionalArchitecture/updateStaffProfessionalArchitecture`,
  getWorkNumber: `${host}/management/staff/getWorkNumber`,

  // 年级
  addStaffGrade: `${host}/management/staffGrade/addStaffGrade`,
  deleteStaffGrade: `${host}/management/staffGrade/deleteStaffGrade`,
  queryStaffGrade: `${host}/management/staffGrade/queryStaffGrade`,
  queryStaffName: `${host}/management/staffGrade/queryStaffName`,
  updateStaffGrade: `${host}/management/staffGrade/updateStaffGrade`,

  // 员工管理
  addStaff: `${host}/management/staff/addStaff`,
  deleteStaffs: `${host}/management/staff/deleteStaffs`,
  getStaff: `${host}/management/staff/getStaff`,
  queryStaff: `${host}/management/staff/enterpriseList`,
  updateStaff: `${host}/management/staff/updateStaff`,
  exportFailureStaff: `${host}/management/staff/exportFailure`,
  uploadFileStaff: `${host}/management/staff/uploadFile`,
  downloadStaffTemp: `http://szks.supergen-edu.com/template/1358714535309500416.xlsx`,

  // 角色管理
  getRole: `${host}/management/role/get`,
  queryRoles: `${host}/management/role/list`,
  removeRole: `${host}/management/role/batchRemove`,
  saveOrUpdate: `${host}/management/role/saveOrUpdate`,
  getRoles: `${host}/management/role/getRole`,

  // 权限菜单管理
  doAssign: `${host}/management/permission/doAssign`,
  queryPermissionMenu: `${host}/management/permission/queryPermissionMenu`,
  toAssign: `${host}/management/permission/toAssign`,

  // 学校管理
  addClient: `${host}/enterprise/client/addClient`,
  deleteClient: `${host}/enterprise/client/deleteClient`,
  queryClient: `${host}/enterprise/client/list`,
  updateClient: `${host}/enterprise/client/updateClient`,
  getClient: `${host}/enterprise/client/getClient`, 
  getClientName: `${host}/enterprise/client/getClientName`,

  // 用户管理
  addUser: `${host}/enterprise/user/addUser`,
  deleteUser: `${host}/enterprise/user/deleteUser`,
  queryUser: `${host}/enterprise/user/list`,
  updateUser: `${host}/enterprise/user/updateUser`,
  uploadFileUser: `${host}/enterprise/user/uploadFile`,
  exportFailureUser: `${host}/enterprise/user/exportFailure`,
  downloadUserTemp: 'http://szks.supergen-edu.com/template/1369497713188036608.xlsx',

  addApplicant: `${host}/enterprise/match/applicant/addApplicant`,
  disableContests: `${host}/enterprise/match/applicant/disableContests`,
  excelExport: `${host}/enterprise/match/applicant/excelExport`,
  queryApplicantByCondition: `${host}/enterprise/match/applicant/queryApplicantByCondition`,
  disableApplicant: `${host}/enterprise/match/applicant/disableApplicant`,
  batchExport: `${host}/enterprise/match/applicant/batchExport`,

  // 赛事管理
  addContest: `${host}/enterprise/match/contest/addContest`,
  deleteContest: `${host}/enterprise/match/contest/deleteContest`,
  editContest: `${host}/enterprise/match/contest/editContest`,
  publishContest: `${host}/enterprise/match/contest/publishContest`,
  getContest: `${host}/enterprise/match/contest/getContest`,
  queryContestByCondition: `${host}/enterprise/match/contest/queryContestByCondition`,

  // 赛事进度
  addContestProgress: `${host}/enterprise/match/contest-progress/addContestProgress`,
  deleteContestProgress: `${host}/enterprise/match/contest-progress/deleteContestProgress`,
  getContestProgress: `${host}/enterprise/match/contest-progress/getContestProgress`,
  editContestProgress: `${host}/enterprise/match/contest-progress/editContestProgress`,

  // 栏目管理
  addColumn: `${host}/enterprise/information/column/addColumn`,
  deleteColumn: `${host}/enterprise/information/column/deleteColumn`,
  editColumn: `${host}/enterprise/information/column/editColumn`,
  queryAllColumns: `${host}/enterprise/information/column/queryAllColumns`,
  reorder: `${host}/enterprise/information/column/reorder`,

  // 内容管理
  addArticle: `${host}/enterprise/information/article/addArticle`,
  deleteArticles: `${host}/enterprise/information/article/deleteArticles`,
  editArticle: `${host}/enterprise/information/article/editArticle`,
  enableArticle: `${host}/enterprise/information/article/enableArticle`,
  getArticle: `${host}/enterprise/information/article/getArticle`,
  getArticles: `${host}/enterprise/information/article/getArticles`,
  queryArticleByCondition: `${host}/enterprise/information/article/queryArticleByCondition`,
  articleSort: `${host}/enterprise/information/article/articleSort`,

  // 课程权限
  addBuiltInCourse: `${host}/management/schoolCourse/addBuiltInCourse`,
  deleteBuiltInCourse: `${host}/management/schoolCourse/deleteBuiltInCourse`,
  enableGlCourse: `${host}/management/edu/course/enableQyCourse`,
  queryBuiltInCourseByCondition: `${host}/management/schoolCourse/queryBuiltInCourseByCondition`,

  // 课程管理
  queryCourseByCondition: `${host}/management/schoolCourse/queryCourseByCondition`,
  addCourse: `${host}/management/edu/course/addCourse`,
  deleteCourse: `${host}/management/edu/course/deleteCourse`,
  deleteCourses: `${host}/management/edu/course/deleteCourses`,
  editCourse: `${host}/management/edu/course/editCourse`,
  enableCourse: `${host}/management/edu/course/enableQyCourse`,
  getCourse: `${host}/management/edu/course/getCourse`,
  queryAllClassification: `${host}/management/schoolClassification/queryQyClassification`,

  deleteClassification: `${host}/management/edu/courseClassification/deleteClassification`,
  addClassification: `${host}/management/edu/courseClassification/addClassification`,
  editClassification: `${host}/management/edu/courseClassification/editClassification`,

  // 课程标签管理
  addLabel: `${host}/management/edu/courseLabel/addLabel`,
  deleteLabel: `${host}/management/edu/courseLabel/deleteLabel`,
  editLabel: `${host}/management/edu/courseLabel/editLabel`,
  queryAllLabel: `${host}/management/edu/courseLabel/queryAllLabel`,

  // 课程章节管理
  addChapter: `${host}/management/edu/courseChapter/addChapter`,
  chapterReorder: `${host}/management/edu/courseChapter/chapterReorder`,
  deleteChapter: `${host}/management/edu/courseChapter/deleteChapter`,
  editChapter: `${host}/management/edu/courseChapter/editChapter`,
  queryChaptersAndSubsections: `${host}/management/edu/courseChapter/queryChaptersAndSubsections`,
  reorder: `${host}/management/edu/courseChapter/reorder`,

  // 课程小节管理
  addSubsection: `${host}/management/edu/courseSubsection/addSubsection`,
  deleteSubsection: `${host}/management/edu/courseSubsection/deleteSubsection`,
  editSubsection: `${host}/management/edu/courseSubsection/editSubsection`,
  getSubsection: `${host}/management/edu/courseSubsection/getSubsection`,

  // 视频管理
  fileDeletion: `${host}/oss/manage/fileDeletion`,
  fileupload: `${host}/oss/manage/fileupload`,
  getPlayAuth: `${host}/oss/manage/getPlayAuth`,
  removeMoreVideo: `${host}/oss/manage/removeMoreVideo`,
  removeVideo: `${host}/oss/manage/removeVideo`,
}